
public class Vedouci implements Zamestnanec
{
    private Delnik [] delnici;
    private String jmeno;
    private String prijmeni;
    private int plat;
    
    public Vedouci(String jmeno, String prijmeni) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
        this.delnici = new Delnik[3];
    }
    
    public void setDelnik(Delnik delnik) {
        if (this.delnici[0] == null) {
            this.delnici[0] = delnik;
        } else if (this.delnici[1] == null) {
            this.delnici[1] = delnik;
        } else if (this.delnici[2] == null) {
            this.delnici[2] = delnik;
        } else {
            System.out.println("Nemam misto.");
        }
    }
    
    public void udelVsemPremii(int premie) {
        if (this.delnici[0] != null) {
            this.delnici[0].setJednorazovaPremie(premie);
        }
        
        if (this.delnici[1] != null) {
            this.delnici[1].setJednorazovaPremie(premie);
        }
        
        if (this.delnici[2] != null) {
            this.delnici[2].setJednorazovaPremie(premie);
        }
    }
    
    @Override
    public void delejPraci() {
        System.out.println("Pisu na pocitaci.");
    }
    
    @Override
    public int getPlat() {
        return this.plat;
    }
    
    @Override
    public String getJmeno() {
        return this.jmeno;
    }
   
    @Override
    public String getPrijmeni() {
        return this.prijmeni;
    }
    
}
