
public class DatabazeZamestnancu
{
    private Zamestnanec[] zamestnanci;
    
    public DatabazeZamestnancu(int kapacita) {
        this.zamestnanci = new Zamestnanec[kapacita];
    }
    
    public Zamestnanec najdiZamestnance(int index) {
        if (index < 0 || index >= this.zamestnanci.length) {
            return null;
        } 
        
        return zamestnanci[index];
    }
    
    public Zamestnanec najdiZamestnance(String jmeno, String prijmeni) {
        for (int i = 0; i < this.zamestnanci.length; i++) {
            if (this.zamestnanci[i].getJmeno().equals(jmeno) && 
                this.zamestnanci[i].getPrijmeni().equals(prijmeni)) {
                    return this.zamestnanci[i];
                }
        }
        
        return null;
    }
    
    public Zamestnanec najdiZamestnance(int min, int max) {
        for (int i = 0; i < this.zamestnanci.length; i++) {
            if (this.zamestnanci[i].getPlat() >= min && 
                this.zamestnanci[i].getPlat() <= max) {
                    return this.zamestnanci[i];
                }
        }
        
        return null;
    }
}
