
public class Ucetni implements Zamestnanec
{
    private Delnik[] delnici;
    private String jmeno;
    private String prijmeni;
    private int plat;
    
    public Ucetni(String jmeno, String prijmeni) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
        this.delnici = new Delnik[3];
    }
    
    public void setDelnik(Delnik delnik) {
        if (this.delnici[0] == null) {
            this.delnici[0] = delnik;
        } else if (this.delnici[1] == null) {
            this.delnici[1] = delnik;
        } else if (this.delnici[2] == null) {
            this.delnici[2] = delnik;
        } else {
            System.out.println("Nemam misto.");
        }
    }
    
    public Delnik getDelnik(int index) {
        return this.delnici[index];
    }

    public void setPlat(int plat) {
        this.plat = plat;
    }
    
    @Override
    public void delejPraci() {
        udelVyplatu();
    }
    
    @Override
    public int getPlat() {
        return this.plat;
    }
    
    public String getJmeno() {
        return this.jmeno;
    }
    
    public String getPrijmeni() {
        return this.prijmeni;
    }
    
    public void udelVyplatu() {
        System.out.println("Delnik 1 dostal: " 
            + this.delnici[0].dejVyplatu());
            
        System.out.println("Delnik 2 dostal: " 
            + this.delnici[1].dejVyplatu());
            
        System.out.println("Delnik 3 dostal: " 
            + this.delnici[2].dejVyplatu());
    }
}
